## org.gnu.gtk
Class IconInfo

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.gtk.IconInfo

public class IconInfo
extends Boxed

Method Summary
`int` `getBaseSize()`
`Pixbuf` `getBuiltinPixbuf()`
`java.lang.String` `getDisplayName()`
`boolean` `getEmbeddedRect(Rectangle rect)`
`java.lang.String` `getFilename()`
`Pixbuf` `loadIcon()`

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBaseSize

    public int getBaseSize()

### getFilename

    public java.lang.String getFilename()

### getBuiltinPixbuf

    public Pixbuf getBuiltinPixbuf()

### loadIcon

    public Pixbuf loadIcon()

### getDisplayName

    public java.lang.String getDisplayName()

### getEmbeddedRect

    public boolean getEmbeddedRect(Rectangle rect)